## mpv 0.33.1

=== wscript ===
# vi: ft=python

import sys, os, re
sys.path.insert(0, os.path.join(os.getcwd(), 'waftools'))
sys.path.insert(0, os.getcwd())
from shlex import split
from waflib.Configure import conf
from waflib.Tools import c_preproc
from waflib import Utils
from waftools.checks.generic import *
from waftools.checks.custom import *

c_preproc.go_absolute=True # enable system folders
c_preproc.standard_includes.append('/usr/local/include')

APPNAME = 'mpv'

"""
Dependency identifiers (for win32 vs. Unix):
    wscript / C source                  meaning
    --------------------------------------------------------------------------
    posix / HAVE_POSIX:                 defined on Linux, OSX, Cygwin
                                        (Cygwin emulates POSIX APIs on Windows)
    mingw / __MINGW32__:                defined if posix is not defined
                                        (Windows without Cygwin)
    os-win32 / _WIN32:                  defined if basic windows.h API is available
    win32-desktop / HAVE_WIN32_DESKTOP: defined if desktop windows.h API is available
    uwp / HAVE_UWP:                     defined if building for UWP (basic Windows only)
"""

build_options = [
    {
        'name': '--lgpl',
        'desc': 'LGPL (version 2.1 or later) build',
        'default': 'disable',
        'func': check_true,
    }, {
        'name': 'gpl',
        'desc': 'GPL (version 2 or later) build',
        'deps': '!lgpl',
        'func': check_true,
    }, {
        'name': '--cplayer',
        'desc': 'mpv CLI player',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--libmpv-shared',
        'desc': 'shared library',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--libmpv-static',
        'desc': 'static library',
        'default': 'disable',
        'deps': '!libmpv-shared',
        'func': check_true
    }, {
        'name': '--static-build',
        'desc': 'static build',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--build-date',
        'desc': 'whether to include binary compile time',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--optimize',
        'desc': 'whether to optimize',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--debug-build',
        'desc': 'whether to compile-in debugging information',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--tests',
        'desc': 'unit tests (development only)',
        'default': 'disable',
        'func': check_true
    }, {
        # Reminder: normally always built, but enabled by MPV_LEAK_REPORT.
        # Building it can be disabled only by defining NDEBUG through CFLAGS.
        'name': '--ta-leak-report',
        'desc': 'enable ta leak report by default (development only)',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--manpage-build',
        'desc': 'manpage generation',
        'func': check_ctx_vars('RST2MAN')
    }, {
        'name': '--html-build',
        'desc': 'html manual generation',
        'func': check_ctx_vars('RST2HTML'),
        'default': 'disable',
    }, {
        'name': '--pdf-build',
        'desc': 'pdf manual generation',
        'func': check_ctx_vars('RST2PDF'),
        'default': 'disable',
    }, {
        'name': 'libdl',
        'desc': 'dynamic loader',
        'func': check_libs(['dl'], check_statement('dlfcn.h', 'dlopen("", 0)'))
    }, {
        'name': '--cplugins',
        'desc': 'C plugins',
        'deps': 'libdl && !os-win32',
        'func': check_cc(linkflags=['-rdynamic']),
    }, {
        # does nothing - left for backward and forward compatibility
        'name': '--asm',
        'desc': 'inline assembly (currently without effect)',
        'default': 'enable',
        'func': check_true,
    }, {
        'name': '--clang-database',
        'desc': 'generate a clang compilation database',
        'func': check_true,
        'default': 'disable',
    } , {
        'name': '--swift-static',
        'desc': 'static Swift linking',
        'deps': 'os-darwin',
        'func': check_ctx_vars('SWIFT_LIB_STATIC'),
        'default': 'disable'
    }
]

main_dependencies = [
    {
        'name': 'noexecstack',
        'desc': 'compiler support for noexecstack',
        'func': check_cc(linkflags='-Wl,-z,noexecstack')
    }, {
        'name': 'noexecstack',
        'desc': 'linker support for --nxcompat --no-seh --dynamicbase',
        'func': check_cc(linkflags=['-Wl,--nxcompat', '-Wl,--no-seh', '-Wl,--dynamicbase'])
    } , {
        'name': 'libm',
        'desc': '-lm',
        'func': check_cc(lib='m')
    }, {
        'name': 'mingw',
        'desc': 'MinGW',
        'deps': 'os-win32',
        'func': check_statement('stdlib.h', 'int x = __MINGW32__;'
                                            'int y = __MINGW64_VERSION_MAJOR'),
    }, {
        'name': 'posix',
        'desc': 'POSIX environment',
        'func': check_statement(['unistd.h'], 'long x = _POSIX_VERSION'),
    }, {
        'name': '--android',
        'desc': 'Android environment',
        'func': check_statement('android/api-level.h', '(void)__ANDROID__'),  # arbitrary android-specific header
    }, {
        'name': '--tvos',
        'desc': 'tvOS environment',
        'func': check_statement(
            ['TargetConditionals.h', 'assert.h'],
            'static_assert(TARGET_OS_TV, "TARGET_OS_TV defined to zero!")'
        ),
    }, {
        'name': '--egl-android',
        'desc': 'Android EGL support',
        'deps': 'android',
        'groups': [ 'gl' ],
        'func': check_cc(lib=['android', 'EGL']),
    }, {
        'name': 'posix-or-mingw',
        'desc': 'development environment',
        'deps': 'posix || mingw',
        'func': check_true,
        'req': True,
        'fmsg': 'Unable to find either POSIX or MinGW-w64 environment, ' \
                'or compiler does not work.',
    }, {
        'name': '--swift',
        'desc': 'macOS Swift build tools',
        'deps': 'os-darwin',
        'func': compose_checks(check_swift, check_macos_sdk('10.10')),
    }, {
        'name': '--uwp',
        'desc': 'Universal Windows Platform',
        'default': 'disable',
        'deps': 'os-win32 && mingw && !cplayer',
        'func': check_cc(lib=['windowsapp']),
    }, {
        'name': 'win32-desktop',
        'desc': 'win32 desktop APIs',
        'deps': '(os-win32 || os-cygwin) && !uwp',
        'func': check_cc(lib=['winmm', 'gdi32', 'ole32', 'uuid', 'avrt', 'dwmapi', 'version']),
    }, {
        'name': '--win32-internal-pthreads',
        'desc': 'internal pthread wrapper for win32 (Vista+)',
        'deps': 'os-win32 && !posix',
        'func': check_true,
    }, {
        'name': 'pthreads',
        'desc': 'POSIX threads',
        'func': check_pthreads,
        'req': True,
        'fmsg': 'Unable to find pthreads support.'
    }, {
        # NB: this works only if a source file includes osdep/threads.h
        #     also, technically, triggers undefined behavior (reserved names)
        'name': '--pthread-debug',
        'desc': 'pthread runtime debugging wrappers',
        'default': 'disable',
        'func': check_cc(cflags='-DMP_PTHREAD_DEBUG'),
        # The win32 wrapper defines pthreads symbols as macros only.
        'deps_neg': 'win32-internal-pthreads',
    }, {
        'name': '--stdatomic',
        'desc': 'C11 stdatomic.h',
        'func': check_libs(['atomic'],
            check_statement('stdatomic.h',
                'atomic_int_least64_t test = ATOMIC_VAR_INIT(123);'
                'atomic_fetch_add(&test, 1)')),
        'req': True,
        'fmsg': 'C11 atomics are required; you may need a newer compiler',
    }, {
        'name': 'librt',
        'desc': 'linking with -lrt',
        'deps': 'pthreads',
        'func': check_cc(lib='rt')
    }, {
        'name': '--iconv',
        'desc': 'iconv',
        'func': check_iconv,
        'req': True,
        'fmsg': "Unable to find iconv which should be part of a standard \
compilation environment. Aborting. If you really mean to compile without \
iconv support use --disable-iconv.",
    }, {
        'name': 'dos-paths',
        'desc': 'w32/dos paths',
        'deps': 'os-win32 || os-cygwin',
        'func': check_true
    }, {
        'name': 'glob-posix',
        'desc': 'glob() POSIX support',
        'deps': '!(os-win32 || os-cygwin)',
        'func': check_statement('glob.h', 'glob("filename", 0, 0, 0)'),
    }, {
        'name': 'glob-win32',
        'desc': 'glob() win32 replacement',
        'deps': '!posix && (os-win32 || os-cygwin)',
        'func': check_true
    }, {
        'name': 'glob',
        'desc': 'any glob() support',
        'deps': 'glob-posix || glob-win32',
        'func': check_true,
    }, {
        'name': 'vt.h',
        'desc': 'vt.h',
        'func': check_statement(['sys/vt.h', 'sys/ioctl.h'],
                                'int m; ioctl(0, VT_GETMODE, &m)'),
    }, {
        'name': 'consio.h',
        'desc': 'consio.h',
        'deps': '!vt.h',
        'func': check_statement(['sys/consio.h', 'sys/ioctl.h'],
                                'int m; ioctl(0, VT_GETMODE, &m)'),
    }, {
        'name': 'gbm.h',
        'desc': 'gbm.h',
        'func': check_cc(header_name=['stdio.h', 'gbm.h']),
    }, {
        'name': 'glibc-thread-name',
        'desc': 'GLIBC API for setting thread name',
        'func': check_statement('pthread.h',
                                'pthread_setname_np(pthread_self(), "ducks")',
                                use=['pthreads']),
    }, {
        'name': 'osx-thread-name',
        'desc': 'OSX API for setting thread name',
        'deps': '!glibc-thread-name',
        'func': check_statement('pthread.h',
                                'pthread_setname_np("ducks")', use=['pthreads']),
    }, {
        'name': 'bsd-thread-name',
        'desc': 'BSD API for setting thread name',
        'deps': '!(glibc-thread-name || osx-thread-name)',
        'func': check_statement(['pthread.h', 'pthread_np.h'],
                                'pthread_set_name_np(pthread_self(), "ducks")',
                                use=['pthreads']),
    }, {
        'name': 'bsd-fstatfs',
        'desc': "BSD's fstatfs()",
        'func': check_statement(['sys/param.h', 'sys/mount.h'],
                                'struct statfs fs; fstatfs(0, &fs); fs.f_fstypename')
    }, {
        'name': 'linux-fstatfs',
        'desc': "Linux's fstatfs()",
        'deps': 'os-linux',
        'func': check_statement('sys/vfs.h',
                                'struct statfs fs; fstatfs(0, &fs); fs.f_namelen')
    }, {
        'name': 'linux-input-event-codes',
        'desc': "Linux's input-event-codes.h",
        'func': check_cc(header_name=['linux/input-event-codes.h']),
    }, {
        'name' : '--lua',
        'desc' : 'Lua',
        'func': check_lua,
    }, {
        'name' : '--javascript',
        'desc' : 'Javascript (MuJS backend)',
        'func': check_pkg_config('mujs', '>= 1.0.0'),
    }, {
        'name': 'libass',
        'desc': 'SSA/ASS support',
        'func': check_pkg_config('libass', '>= 0.12.2'),
        'req': True,
        'fmsg': "Unable to find development files for libass, or the version " +
                "found is too old. Aborting."
    }, {
        'name': '--zlib',
        'desc': 'zlib',
        'func': check_libs(['z'],
                    check_statement('zlib.h', 'inflate(0, Z_NO_FLUSH)')),
        'req': True,
        'fmsg': 'Unable to find development files for zlib.'
    }, {
        'name': '--libbluray',
        'desc': 'Bluray support',
        'func': check_pkg_config('libbluray', '>= 0.3.0'),
        #'default': 'disable',
    }, {
        'name': '--dvdnav',
        'desc': 'dvdnav support',
        'deps': 'gpl',
        'func': check_pkg_config('dvdnav',  '>= 4.2.0',

=== debian/changelog ===
mpv (0.33.1-1ubuntu2) jammy; urgency=medium

  * No-change rebuild against libplacebo120

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 07:50:42 +0000

mpv (0.33.1-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Sep 2021 07:33:14 +0200

mpv (0.33.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #982249)
  * debian/control:
    - Bump debhelper compat to 13
    - Bump Standards-Version
    - Add new build dependencies:
      + libmujs-dev (Closes: #956480)
      + libzimg-dev
      + libsixel-dev
      + libplacebo-dev
      + libvulkan-dev
      + spirv-cross
      + libspirv-cross-c-shared-dev
    - Remove unused build dependencies (support removed upstream):
      + libsmbclient-dev (Closes: #834022)
      + libsndio-dev
    - Remove version constraints in B-D already satisfied in bullseye
  * debian/patches:
    - Apply upstream patches to support libplacebo 3.120
    - Refresh patches
  * libmpv1.symbols: Add new symbols
  * debian/rules: Honor number of parallel jobs
  * debian/copyright: Update copyright for new upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 07 Sep 2021 11:38:01 +0200

mpv (0.32.0-3ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Apr 2021 17:45:58 +0200

mpv (0.32.0-2ubuntu2) groovy; urgency=medium

  * Rebuild against new libcdio19.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Aug 2020 09:38:40 +0200

mpv (0.32.0-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jul 2020 09:13:38 +0200

mpv (0.32.0-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2020 19:11:03 +0100

=== debian/control ===
Source: mpv
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alessandro Ghedini <ghedo@debian.org>,
 Reinhard Tartler <siretart@tauware.de>,
 James Cowgill <jcowgill@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libarchive-dev (>= 3.4),
 libasound2-dev [linux-any],
 libass-dev,
 libavcodec-dev (>= 7:4.0),
 libavdevice-dev (>= 7:4.0),
 libavfilter-dev (>= 7:4.0),
 libavformat-dev (>= 7:4.0),
 libavutil-dev (>= 7:4.0),
 libbluray-dev,
 libcaca-dev,
 libcdio-paranoia-dev,
 libdrm-dev (>= 2.4.74),
 libdvdnav-dev,
 libegl1-mesa-dev [linux-any],
 libgbm-dev,
 libgl1-mesa-dev,
 libjack-dev,
 libjpeg-dev,
 liblcms2-dev (>= 2.6~),
 liblua5.2-dev,
 libmujs-dev,
 libplacebo-dev,
 libpulse-dev,
 librubberband-dev,
 libsdl2-dev,
 libsixel-dev,
 libspirv-cross-c-shared-dev,
 libswscale-dev (>= 7:4.0),
 libuchardet-dev,
 libva-dev,
 libvdpau-dev,
 libvulkan-dev,
 libwayland-dev (>= 1.15.0) [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 libzimg-dev,
 pkg-config,
 python3,
 python3-docutils,
 spirv-cross,
 wayland-protocols,
Standards-Version: 4.6.0
Homepage: https://mpv.io/
Vcs-Git: https://salsa.debian.org/multimedia-team/mpv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mpv
Rules-Requires-Root: no

Package: mpv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xdg-utils, youtube-dl (>= 2014.11.26)
Multi-Arch: foreign
Description: video player based on MPlayer/mplayer2
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 Changes from mplayer2 to mpv include:
  * Removal of lots of unneeded code to encourage developer activity
  * Better OSD rendering
  * Cleaned up terminal output
  * Improved OpenGL output
  * Encoding functionality (replacement for mencoder)
  * Wayland support
  * Support for playing URLs of popular streaming sites
  * Screenshot improvements
  * ...
 See mpv(1) for more info regarding changes between MPlayer, mplayer2 and mpv.

Package: libmpv1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: youtube-dl (>= 2014.11.26)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides a client library that can be used to embed mpv in other
 applications.

Package: libmpv-dev
Section: libdevel
Architecture: any
Depends: libmpv1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library dev files)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides development files for libmpv.

## mpv 0.34.0

=== debian/changelog ===
mpv (0.34.0-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Nov 2021 08:31:40 +0100

mpv (0.34.0-2) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Add Build-Depends on libffmpeg-nvenc-dev
    - Add Suggests on libcuda1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Nov 2021 20:56:13 +0100

mpv (0.34.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.34.0
  * debian/patches:
    - Refresh patches
    - Remove patches for libplacebo 3.120 support
  * debian/control: Bump Build-Depends versions with upstream requirements

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Nov 2021 19:23:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mpv
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
  James Cowgill <jcowgill@debian.org>
@@ -19,17 +18,18 @@
  libbluray-dev,
  libcaca-dev,
  libcdio-paranoia-dev,
- libdrm-dev (>= 2.4.74),
+ libdrm-dev (>= 2.4.75),
  libdvdnav-dev,
  libegl1-mesa-dev [linux-any],
  libgbm-dev,
+ libffmpeg-nvenc-dev [amd64 arm64 i386],
  libgl1-mesa-dev,
  libjack-dev,
  libjpeg-dev,
  liblcms2-dev (>= 2.6~),
  liblua5.2-dev,
  libmujs-dev,
- libplacebo-dev,
+ libplacebo-dev (>= 3.104),
  libpulse-dev,
  librubberband-dev,
  libsdl2-dev,
@@ -63,6 +63,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: xdg-utils, youtube-dl (>= 2014.11.26)
+Suggests: libcuda1 [amd64 armf64 i386]
 Multi-Arch: foreign
 Description: video player based on MPlayer/mplayer2
  mpv is a movie player based on MPlayer and mplayer2. It supports a wide

## mpv 0.34.1

=== wscript ===
--- 
+++ 
@@ -117,6 +117,10 @@
         'default': 'enable',
         'func': check_true,
     }, {
+        'name': '--vector',
+        'desc': 'GCC vector instructions',
+        'func': check_statement([], 'float v __attribute__((vector_size(32)))'),
+    }, {
         'name': '--clang-database',
         'desc': 'generate a clang compilation database',
         'func': check_true,
@@ -182,7 +186,7 @@
         'name': '--swift',
         'desc': 'macOS Swift build tools',
         'deps': 'os-darwin',
-        'func': compose_checks(check_swift, check_macos_sdk('10.10')),
+        'func': compose_checks(check_swift('4.1'), check_macos_sdk('10.10')),
     }, {
         'name': '--uwp',
         'desc': 'Universal Windows Platform',
@@ -323,17 +327,10 @@
     }, {
         'name': '--zlib',
         'desc': 'zlib',
-        'func': check_libs(['z'],
-                    check_statement('zlib.h', 'inflate(0, Z_NO_FLUSH)')),
+        'func': any_check(check_pkg_config('zlib'),
+                          check_libs(['z'], check_statement('zlib.h', 'inflate(0, Z_NO_FLUSH)'))),
         'req': True,
         'fmsg': 'Unable to find development files for zlib.'
     }, {
         'name': '--libbluray',
         'desc': 'Bluray support',
-        'func': check_pkg_config('libbluray', '>= 0.3.0'),
-        #'default': 'disable',
-    }, {
-        'name': '--dvdnav',
-        'desc': 'dvdnav support',
-        'deps': 'gpl',
-        'func': check_pkg_config('dvdnav',  '>= 4.2.0',

=== debian/changelog ===
mpv (0.34.1-1~mx21ahs+1) mx; urgency=medium

  * Rebuild for MX Linux AHS.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 02 Jun 2022 15:31:46 -0700

mpv (0.34.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.34.1
  * debian/control: Add yt-dpl to Recommends

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 06 Jan 2022 12:53:19 +0100

=== debian/control ===
Source: mpv
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alessandro Ghedini <ghedo@debian.org>,
           Reinhard Tartler <siretart@tauware.de>,
           James Cowgill <jcowgill@debian.org>
Build-Depends: debhelper-compat (= 13),
               libarchive-dev (>= 3.4),
               libasound2-dev [linux-any],
               libass-dev,
               libavcodec-dev (>= 7:4.0),
               libavdevice-dev (>= 7:4.0),
               libavfilter-dev (>= 7:4.0),
               libavformat-dev (>= 7:4.0),
               libavutil-dev (>= 7:4.0),
               libbluray-dev,
               libcaca-dev,
               libcdio-paranoia-dev,
               libdrm-dev (>= 2.4.75),
               libdvdnav-dev,
               libegl1-mesa-dev [linux-any],
               libffmpeg-nvenc-dev [amd64 arm64 i386],
               libgbm-dev,
               libgl1-mesa-dev,
               libjack-dev,
               libjpeg-dev,
               liblcms2-dev (>= 2.6~),
               liblua5.2-dev,
               libmujs-dev,
               libplacebo-dev (>= 3.104),
               libpulse-dev,
               librubberband-dev,
               libsdl2-dev,
               libsixel-dev,
               libspirv-cross-c-shared-dev,
               libswscale-dev (>= 7:4.0),
               libuchardet-dev,
               libva-dev,
               libvdpau-dev,
               libvulkan-dev,
               libwayland-dev (>= 1.15.0) [linux-any],
               libx11-dev,
               libxinerama-dev,
               libxkbcommon-dev [linux-any],
               libxrandr-dev,
               libxss-dev,
               libxv-dev,
               libzimg-dev,
               pkg-config,
               python3,
               python3-docutils,
               spirv-cross,
               wayland-protocols
Standards-Version: 4.6.0
Homepage: https://mpv.io/
Vcs-Git: https://salsa.debian.org/multimedia-team/mpv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mpv
Rules-Requires-Root: no

Package: mpv
Architecture: any
Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
Suggests: libcuda1 [amd64 armf64 i386]
Multi-Arch: foreign
Description: video player based on MPlayer/mplayer2
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 Changes from mplayer2 to mpv include:
  * Removal of lots of unneeded code to encourage developer activity
  * Better OSD rendering
  * Cleaned up terminal output
  * Improved OpenGL output
  * Encoding functionality (replacement for mencoder)
  * Wayland support
  * Support for playing URLs of popular streaming sites
  * Screenshot improvements
  * ...
 See mpv(1) for more info regarding changes between MPlayer, mplayer2 and mpv.

Package: libmpv1
Section: libs
Architecture: any
Depends: yt-dlp | youtube-dl, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides a client library that can be used to embed mpv in other
 applications.

Package: libmpv-dev
Section: libdevel
Architecture: any
Depends: libmpv1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library dev files)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides development files for libmpv.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS := hardening=+all # #741439, #799738

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ARCH_CONFIGURE = --enable-dvbin
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
NUMJOBS = 1
endif

%:
	dh $@

override_dh_auto_configure:
	python3 ./waf configure						\
			--prefix=/usr					\
			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)		\
			--confdir=/etc/mpv				\
			--zshdir=/usr/share/zsh/vendor-completions	\
			--enable-cdda					\
			--enable-dvdnav					\
			--enable-libmpv-shared				\
			--enable-sdl2					\
			--disable-build-date				\
			$(ARCH_CONFIGURE)

override_dh_auto_build:
	python3 ./waf -v build --jobs=$(NUMJOBS)

override_dh_auto_install:
	python3 ./waf -v install --destdir=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES

override_dh_auto_clean:
	test -s ./waf && python3 ./waf -v distclean || true
	find . -name "*.pyc" -delete

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## mpv 0.35.0

=== debian/changelog ===
mpv (0.35.0-4ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Dec 2022 09:34:07 +0100

mpv (0.35.0-4) unstable; urgency=medium

  * Team upload
  * debian/control: Add wayland-protocols to libmpv-dev's dependencies
    (Closes: #1026624)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 21 Dec 2022 22:27:12 +0100

mpv (0.35.0-3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Nov 2022 13:48:01 +0100

mpv (0.35.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 27 Nov 2022 18:44:12 +0100

mpv (0.35.0-2) experimental; urgency=medium

  * Team upload
  * debian/control: Add missing dependencies to libmpv-dev

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Nov 2022 21:45:43 +0100

mpv (0.35.0-1) experimental; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Sebastian Ramacher ]
  * New upstream version 0.35.0 (Closes: #102329)
  * SONAME bump: libmpv1 -> libmpv2
  * debian/: Use meson build system
  * debian/patches:
    - Refresh patches
    - Remove waf patch
  * debian/control:
    - Add libpipewire-0.3-dev to Build-Depends
    - Add libxpresent-dev to Build-Depends
    - Bump Standards-Version
    - Remove youtube-dl recommends
    - Bump required libplacebo-dev version
  * debian/rules:
    - Disable sndio support
    - Fix location of zsh completion
  * debian/copyright: Update copyright holders and years

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Nov 2022 22:05:00 +0100

mpv (0.34.1-1ubuntu5) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:59:26 +0000

mpv (0.34.1-1ubuntu4) kinetic; urgency=medium

  * No-change rebuild against libmujs2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Jul 2022 05:04:33 +0000

mpv (0.34.1-1ubuntu3) jammy; urgency=medium

  * No-change rebuild against libplacebo192

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 06 Feb 2022 00:56:36 +0000

mpv (0.34.1-1ubuntu2) jammy; urgency=medium

  * No-change rebuild against libplacebo157

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Jan 2022 14:01:46 +0000

mpv (0.34.1-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Jan 2022 21:00:00 +0100

=== debian/control ===
Source: mpv
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alessandro Ghedini <ghedo@debian.org>,
 Reinhard Tartler <siretart@tauware.de>,
 James Cowgill <jcowgill@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libarchive-dev (>= 3.4),
 libasound2-dev [linux-any],
 libass-dev,
 libavcodec-dev (>= 7:4.0),
 libavdevice-dev (>= 7:4.0),
 libavfilter-dev (>= 7:4.0),
 libavformat-dev (>= 7:4.0),
 libavutil-dev (>= 7:4.0),
 libbluray-dev,
 libcaca-dev,
 libcdio-paranoia-dev,
 libdrm-dev (>= 2.4.75),
 libdvdnav-dev,
 libegl1-mesa-dev [linux-any],
 libffmpeg-nvenc-dev [amd64 arm64 i386],
 libgbm-dev,
 libgl1-mesa-dev,
 libjack-dev,
 libjpeg-dev,
 liblcms2-dev (>= 2.6~),
 liblua5.2-dev,
 libmujs-dev,
 libpipewire-0.3-dev [linux-any],
 libplacebo-dev (>= 4.157),
 libpulse-dev,
 librubberband-dev,
 libsdl2-dev,
 libsixel-dev,
 libspirv-cross-c-shared-dev,
 libswscale-dev (>= 7:4.0),
 libuchardet-dev,
 libva-dev,
 libvdpau-dev,
 libvulkan-dev,
 libwayland-dev (>= 1.15.0) [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxpresent-dev,
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 libzimg-dev,
 meson,
 ninja-build,
 pkg-config,
 python3-docutils,
 spirv-cross,
 wayland-protocols,
Standards-Version: 4.6.1
Homepage: https://mpv.io/
Vcs-Git: https://salsa.debian.org/multimedia-team/mpv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mpv
Rules-Requires-Root: no

Package: mpv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xdg-utils, yt-dlp
Suggests: libcuda1 [amd64 arm64 i386]
Multi-Arch: foreign
Description: video player based on MPlayer/mplayer2
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 Changes from mplayer2 to mpv include:
  * Removal of lots of unneeded code to encourage developer activity
  * Better OSD rendering
  * Cleaned up terminal output
  * Improved OpenGL output
  * Encoding functionality (replacement for mencoder)
  * Wayland support
  * Support for playing URLs of popular streaming sites
  * Screenshot improvements
  * ...
 See mpv(1) for more info regarding changes between MPlayer, mplayer2 and mpv.

Package: libmpv2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: yt-dlp
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides a client library that can be used to embed mpv in other
 applications.

Package: libmpv-dev
Section: libdevel
Architecture: any
Depends:
 libmpv2 (= ${binary:Version}),
 libarchive-dev (>= 3.4),
 libasound2-dev [linux-any],
 libass-dev,
 libavcodec-dev (>= 7:4.0),
 libavdevice-dev (>= 7:4.0),
 libavfilter-dev (>= 7:4.0),
 libavformat-dev (>= 7:4.0),
 libavutil-dev (>= 7:4.0),
 libbluray-dev,
 libcaca-dev,
 libcdio-paranoia-dev,
 libdrm-dev (>= 2.4.75),
 libdvdnav-dev,
 libegl1-mesa-dev [linux-any],
 libffmpeg-nvenc-dev [amd64 arm64 i386],
 libgbm-dev,
 libgl1-mesa-dev,
 libjack-dev,
 libjpeg-dev,
 liblcms2-dev (>= 2.6~),
 liblua5.2-dev,
 libmujs-dev,
 libpipewire-0.3-dev [linux-any],
 libplacebo-dev (>= 4.157),
 libpulse-dev,
 librubberband-dev,
 libsdl2-dev,
 libsixel-dev,
 libspirv-cross-c-shared-dev,
 libswscale-dev (>= 7:4.0),
 libuchardet-dev,
 libva-dev,
 libvdpau-dev,
 libvulkan-dev,
 libwayland-dev (>= 1.15.0) [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxpresent-dev,
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 libzimg-dev,
 wayland-protocols,
 ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library dev files)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides development files for libmpv.

## mpv 0.35.0+fruit.1

=== debian/changelog ===
mpv (0.35.0+fruit.1) unstable; urgency=medium

  * local build with ffmpeg 1:5.1.2, libass 2:2022.11.12+3df19c2e809b16c9cf7c925fa3bb573e2e6f4fdd, libplacebo 2:2022.11.09+6cce976d478306fbcb360e6c3f33418e6b18932a

 -- Wessel Dankers <wsl@fruit.je>  Sat, 12 Nov 2022 16:27:46 +0100

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all optimize=-lto

# To enable parallel building:
# You can either set DEB_BUILD_OPTIONS=paralell=<num-procs> in your build environment
# or provide the -j<numprocs> option to debuild or dpkg-buildpackage, which
# ammounts to the same thing.
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
# use MFLAGS, rather than MAKEFLAGS as the latter is used by make internally
	MFLAGS += -j$(NUMJOBS)
	WAFFLAGS += -j$(NUMJOBS)
	NINJAFLAGS += -j$(NUMJOBS)
endif

# make .PHONY all the targets that have name collisions with the scripts
# see http://www.debian.org/doc/manuals/maint-guide/dreq.en.html#rules
.PHONY: clean build install
# Apparently, the above isn't enough because of the "%" target. Make the problematic targets explicit
clean:
	exec dh $@
build:
	exec dh $@
install:
	exec dh $@
# Handle all other targets in the usual way.
# The --parallel flag to dh doesn't seem to have the intended effect
# so leave it out.
%:
	exec dh $@

libass_config:
	scripts/libass-config

libass_build: libass_config
	scripts/libass-build $(MFLAGS)

# depend on libass_build in case the user specified --enable-libass in ffmpeg_options
ffmpeg_config: libass_build libplacebo_build
	scripts/ffmpeg-config \
		--enable-gnutls \
		--enable-libgme \
		--enable-libgsm \
		--enable-libmodplug \
		--enable-libmp3lame \
		--enable-libopus \
		--enable-libpulse \
		--enable-libsoxr \
		--enable-libspeex \
		--enable-libssh \
		--enable-libvorbis \
		--enable-libvpx \
		--enable-ladspa \
		--enable-libbs2b \
		--enable-gpl --enable-libxvid --enable-libx264 \
		--enable-version3 --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libvo-amrwbenc

ffmpeg_build: ffmpeg_config
	scripts/ffmpeg-build $(MFLAGS)

libplacebo_config:
	scripts/libplacebo-config

libplacebo_build: libplacebo_config
	scripts/libplacebo-build $(NINJAFLAGS)

# put the config in the right place and drop the local/ since it's package managed now
override_dh_auto_configure: ffmpeg_build libass_build libplacebo_build
	scripts/mpv-config --prefix=/usr --confdir=/etc/mpv \
		--enable-openal \
		--enable-dvdnav \
		--enable-cdda

override_dh_auto_build:
	scripts/mpv-build $(WAFLAGS)


DOCSOURCE=mpv/DOCS
TOOLSSOURCE=mpv/TOOLS
DOCDEST=debian/mpv/usr/share/doc/mpv
TOOLSDEST=$(DOCDEST)/TOOLS
# call waf to install to the debian packageing dir
override_dh_auto_install:
	cd mpv && python3 waf -v install --destdir=../debian/mpv

# for manually installed dependencies
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

# call all the cleans
override_dh_auto_clean:
	./clean
